POST api/PolicyAICallLog/UpdateElastic
Update policy AI log record.
Request Information
URI Parameters
None.
Body Parameters
AICallLogRecordNest| Name | Description | Type | Additional information |
|---|---|---|---|
| Feedback | string |
None. |
|
| Transcript | string |
None. |
|
| Status | CallStatus |
Required Range: inclusive between 1 and 2 |
|
| TransactionId | string |
Required |
|
| TruckingCompanyId | globally unique identifier |
None. |
|
| aiVendor | AICallVendors |
None. |
|
| LastCallTime | date |
None. |
|
| PolicyId | globally unique identifier |
None. |
|
| AgencyId | globally unique identifier |
None. |
|
| CallId | string |
None. |
|
| UserId | globally unique identifier |
None. |
|
| CreateDate | date |
None. |
|
| ChangeDate | date |
None. |
|
| TaskId | globally unique identifier |
None. |
|
| callType | CallType |
None. |
|
| Id | globally unique identifier |
None. |
|
| PhoneNumber | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"feedback": "sample string 1",
"transcript": "sample string 2",
"status": 1,
"transactionId": "sample string 3",
"truckingCompanyId": "b897aac4-b3fd-44d8-95df-f0340383b7b0",
"aiVendor": 1,
"lastCallTime": "2026-10-31T08:01:35.3733379-05:00",
"policyId": "76e1dcd8-dc3f-47b0-945a-7e973fe2edd4",
"agencyId": "671c8189-5442-4989-838d-1546012971fc",
"callId": "sample string 5",
"userId": "9fdc5985-5d93-4611-9a55-8c0ecf20eea0",
"createDate": "2026-10-31T08:01:35.3733379-05:00",
"changeDate": "2026-10-31T08:01:35.3733379-05:00",
"taskId": "66e8442f-fcce-40f2-b763-7234e9511700",
"callType": 1,
"id": "005326fe-bbbe-4b95-a2e8-7d2f4d694ae2",
"phoneNumber": "sample string 9"
}
application/xml, text/xml
Sample:
<AICallLogRecordNest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <AIVendor>SONANT</AIVendor> <AgencyId>671c8189-5442-4989-838d-1546012971fc</AgencyId> <CallId>sample string 5</CallId> <CallType>Incomming</CallType> <ChangeDate>2026-10-31T08:01:35.3733379-05:00</ChangeDate> <CreateDate>2026-10-31T08:01:35.3733379-05:00</CreateDate> <Feedback>sample string 1</Feedback> <Id>005326fe-bbbe-4b95-a2e8-7d2f4d694ae2</Id> <LastCallTime>2026-10-31T08:01:35.3733379-05:00</LastCallTime> <PhoneNumber>sample string 9</PhoneNumber> <PolicyId>76e1dcd8-dc3f-47b0-945a-7e973fe2edd4</PolicyId> <Status>Failed</Status> <TaskId>66e8442f-fcce-40f2-b763-7234e9511700</TaskId> <TransactionId>sample string 3</TransactionId> <Transcript>sample string 2</Transcript> <TruckingCompanyId>b897aac4-b3fd-44d8-95df-f0340383b7b0</TruckingCompanyId> <UserId>9fdc5985-5d93-4611-9a55-8c0ecf20eea0</UserId> </AICallLogRecordNest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 0,
"message": "sample string 1"
}
application/xml, text/xml
Sample:
<NowCertsApiResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 1</Message> <Status>Error</Status> </NowCertsApiResult>